diff --git a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index a65f02189..6a56aba7f 100644
--- a/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -9,7 +9,6 @@ import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.enums.EnumSignPicture;
@@ -21,7 +20,6 @@ import net.minecraft.core.net.ICommandListener;
 import net.minecraft.core.net.NetworkManager;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
-import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.server.net.command.ServerCommandSource;
@@ -36,66 +34,76 @@ import net.minecraft.core.util.helper.ChatAllowedCharacters;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.RestHandler;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.util.phys.Vec3;
-import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.server.MinecraftServer;
 import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.player.PlayerListBox;
 import net.minecraft.server.world.WorldServer;
+import org.jetbrains.annotations.NotNull;
+import org.joml.Vector3d;
+import org.joml.Vector3dc;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 import org.slf4j.Logger;
 
 import java.nio.charset.StandardCharsets;
 import java.util.ArrayList;
 
 public class PacketHandlerServer extends PacketHandler
-        implements ICommandListener
-{
-
-    public PacketHandlerServer(MinecraftServer minecraftserver, NetworkManager networkManager, PlayerServer player)
-    {
-        connectionClosed = false;
-        hasMoved = true;
-        guiIdMap = new Int2ShortArrayMap();
-        mcServer = minecraftserver;
-        netManager = networkManager;
+    implements ICommandListener {
+    public static Logger LOGGER = LogUtils.getLogger();
+    public NetworkManager netManager;
+    public boolean connectionClosed;
+    private final MinecraftServer mcServer;
+    private PlayerServer playerEntity;
+    private int field_15_f;
+    private int field_22004_g;
+    private int playerInAirTime;
+    private double lastPosX;
+    private double lastPosY;
+    private double lastPosZ;
+    private boolean hasMoved;
+    private final Int2ShortMap guiIdMap;
+
+
+    public PacketHandlerServer(MinecraftServer minecraftserver, NetworkManager networkManager, PlayerServer player) {
+        this.connectionClosed = false;
+        this.hasMoved = true;
+        this.guiIdMap = new Int2ShortArrayMap();
+        this.mcServer = minecraftserver;
+        this.netManager = networkManager;
         networkManager.setNetHandler(this);
-        playerEntity = player;
+        this.playerEntity = player;
         player.playerNetServerHandler = this;
     }
 
-    public void handlePackets()
-    {
-        netManager.processReadPackets();
-        if (field_15_f - field_22004_g > 20)
-        {
+    public void handlePackets() {
+        this.netManager.processReadPackets();
+        if (this.field_15_f - this.field_22004_g > 20) {
             sendPacket(new PacketKeepAlive());
         }
     }
 
     public boolean canInteract() {
-        return playerEntity.canInteract();
+        return this.playerEntity.canInteract();
     }
 
-    public void kickPlayer(String s)
-    {
-        playerEntity.func_30002_A();
+    public void kickPlayer(String s) {
+        this.playerEntity.func_30002_A();
         sendPacket(new PacketDisconnect(s));
-        netManager.serverShutdown();
-        mcServer.playerList.sendPacketToAllPlayers(new PacketChat(playerEntity.getDisplayName() + TextFormatting.YELLOW + " was kicked from the game."));
-        mcServer.playerList.updatePlayerProfile(playerEntity.username, playerEntity.nickname, playerEntity.uuid, playerEntity.score, playerEntity.chatColor, false, playerEntity.isOperator());
-        mcServer.playerList.playerLoggedOut(playerEntity);
-        connectionClosed = true;
-        if (MinecraftServer.statsStatus)
-        {
-            RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + mcServer.playerList.playerEntities.size());
+        this.netManager.serverShutdown();
+        this.mcServer.playerList.sendPacketToAllPlayers(new PacketChat(this.playerEntity.getDisplayName() + TextFormatting.YELLOW + " was kicked from the game."));
+        this.mcServer.playerList.updatePlayerProfile(this.playerEntity.username, this.playerEntity.nickname, this.playerEntity.uuid, this.playerEntity.score, this.playerEntity.chatColor, false, this.playerEntity.isOperator());
+        this.mcServer.playerList.playerLoggedOut(this.playerEntity);
+        this.connectionClosed = true;
+        if (MinecraftServer.statsStatus) {
+            RestHandler.post("https://api.betterthanadventure.net/stats?serverToken=" + MinecraftServer.statsToken + "&count=" + this.mcServer.playerList.playerEntities.size());
         }
         PlayerListBox.updateList();
     }
 
     @Override
-    public void handleSetMobSpawner(PacketSetMobSpawner packet) {
+    public void handleSetMobSpawner(@NotNull PacketSetMobSpawner packet) {
         WorldServer world = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
         if (this.playerEntity.getGamemode() == Gamemode.creative && world.isBlockLoaded(packet.tilePos)) {
             TileEntity tileentity = world.getTileEntity(packet.tilePos);
@@ -108,165 +116,151 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handlePlayerConfig(PacketPlayerConfig packetPlayerConfig) {
-        if (playerEntity.playerConfig.config != packetPlayerConfig.config) {
-            playerEntity.playerConfig.config = packetPlayerConfig.config;
-            packetPlayerConfig.entityId = playerEntity.id;
-            mcServer.playerList.sendPacketToAllPlayersInDimension(packetPlayerConfig, playerEntity.dimension);
+    public void handlePlayerConfig(@NotNull PacketPlayerConfig packetPlayerConfig) {
+        if (this.playerEntity.playerConfig.config != packetPlayerConfig.config) {
+            this.playerEntity.playerConfig.config = packetPlayerConfig.config;
+            packetPlayerConfig.entityId = this.playerEntity.id;
+            this.mcServer.playerList.sendPacketToAllPlayersInDimension(packetPlayerConfig, this.playerEntity.dimension);
         }
     }
 
     @Override
-    public void handleFlying(PacketMovePlayer packet)
-    {
-        if (!playerEntity.isAlive()) return;
-        WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
-
-        if (!hasMoved)
-        {
-            double dx = packet.x - playerEntity.x;
-            double dy = packet.y - playerEntity.y;
-            double dz = packet.z - playerEntity.z;
+    public void handleMovePlayer(@NotNull PacketMovePlayer packetMovePlayer) {
+        if (!this.playerEntity.isAlive()) return;
+        WorldServer worldserver = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
+
+        if (!this.hasMoved) {
+            double dx = packetMovePlayer.x - this.playerEntity.x;
+            double dy = packetMovePlayer.y - this.playerEntity.y;
+            double dz = packetMovePlayer.z - this.playerEntity.z;
             if (dx * dx > 0.01D || dy * dy > 0.01D || dz * dz > 0.01D) {
-                hasMoved = true;
+                this.hasMoved = true;
             }
         }
-        if (!hasMoved) return;
+        if (!this.hasMoved) return;
         // Set rotation
-        float yRot = playerEntity.yRot;
-        float xRot = playerEntity.xRot;
-        if (packet.hasRotation)
-        {
-            yRot = MathHelper.normalizeRotation(packet.yaw);
-            xRot = MathHelper.normalizeRotation(packet.pitch);
+        float yRot = this.playerEntity.yRot;
+        float xRot = this.playerEntity.xRot;
+        if (packetMovePlayer.hasRotation) {
+            yRot = MathHelper.normalizeRotation(packetMovePlayer.yaw);
+            xRot = MathHelper.normalizeRotation(packetMovePlayer.pitch);
         }
 
         // No moving when sleeping or sitting in a static vehicle
-        boolean sleeping = playerEntity.isPlayerSleeping();
-        boolean sitting = playerEntity.vehicle != null && !(playerEntity.vehicle instanceof Entity);
-        if (sleeping || sitting)
-        {
-            if (sitting) playerEntity.vehicle.positionRider();
-            playerEntity.onUpdateEntity();
+        boolean sleeping = this.playerEntity.isPlayerSleeping();
+        boolean sitting = this.playerEntity.vehicle != null && !(this.playerEntity.vehicle instanceof Entity);
+        if (sleeping || sitting) {
+            if (sitting) this.playerEntity.vehicle.positionRider();
+            this.playerEntity.onUpdateEntity();
             // onUpdateEntity updates the lastPos*
-            playerEntity.absMoveTo(lastPosX, lastPosY, lastPosZ, playerEntity.yRot, playerEntity.xRot);
-            worldserver.updateEntity(playerEntity);
+            this.playerEntity.absMoveTo(this.lastPosX, this.lastPosY, this.lastPosZ, this.playerEntity.yRot, this.playerEntity.xRot);
+            worldserver.updateEntity(this.playerEntity);
             return;
         }
 
         // In a entity vehicle
-        if (playerEntity.vehicle instanceof Entity)
-        {
-            playerEntity.vehicle.positionRider();
+        if (this.playerEntity.vehicle instanceof Entity) {
+            this.playerEntity.vehicle.positionRider();
             double xd = 0.0D;
             double zd = 0.0D;
-            if (packet.hasPosition && packet.y == -999D)
-            {
-                xd = packet.x;
-                zd = packet.z;
+            if (packetMovePlayer.hasPosition && packetMovePlayer.y == -999D) {
+                xd = packetMovePlayer.x;
+                zd = packetMovePlayer.z;
             }
-            playerEntity.onGround = packet.onGround;
-            playerEntity.onUpdateEntity();
-            playerEntity.move(xd, 0.0D, zd);
-            playerEntity.absMoveTo(playerEntity.x, playerEntity.y, playerEntity.z, yRot, xRot);
-            playerEntity.xd = xd;
-            playerEntity.zd = zd;
+            this.playerEntity.onGround = packetMovePlayer.onGround;
+            this.playerEntity.onUpdateEntity();
+            this.playerEntity.move(xd, 0.0D, zd);
+            this.playerEntity.absMoveTo(this.playerEntity.x, this.playerEntity.y, this.playerEntity.z, yRot, xRot);
+            this.playerEntity.xd = xd;
+            this.playerEntity.zd = zd;
             // TODO: Is this needing? It does allow for fast-tick exploits.
             // Update: Removing it breaks boats, so keep it for now
-            worldserver.updateEntityWithOptionalForce(((Entity) playerEntity.vehicle), false);
-            playerEntity.vehicle.positionRider();
-            mcServer.playerList.onPlayerMoved(playerEntity);
+            worldserver.updateEntityWithOptionalForce(((Entity) this.playerEntity.vehicle), false);
+            this.playerEntity.vehicle.positionRider();
+            this.mcServer.playerList.onPlayerMoved(this.playerEntity);
             return;
         }
 
         // Not sitting, sleeping, or riding. Move them normally
-        lastPosX = playerEntity.x;
-        lastPosY = playerEntity.y;
-        lastPosZ = playerEntity.z;
-        double newPosX = playerEntity.x;
-        double newPosY = playerEntity.y;
-        double oldPosY = playerEntity.y;
-        double newPosZ = playerEntity.z;
-        if (packet.hasPosition && packet.y == -999D)
-        {
-            packet.hasPosition = false;
-        }
-        if (packet.hasPosition)
-        {
-            newPosX = packet.x;
-            newPosY = packet.y;
-            newPosZ = packet.z;
+        this.lastPosX = this.playerEntity.x;
+        this.lastPosY = this.playerEntity.y;
+        this.lastPosZ = this.playerEntity.z;
+        double newPosX = this.playerEntity.x;
+        double newPosY = this.playerEntity.y;
+        double oldPosY = this.playerEntity.y;
+        double newPosZ = this.playerEntity.z;
+        if (packetMovePlayer.hasPosition && packetMovePlayer.y == -999D) {
+            packetMovePlayer.hasPosition = false;
+        }
+        if (packetMovePlayer.hasPosition) {
+            newPosX = packetMovePlayer.x;
+            newPosY = packetMovePlayer.y;
+            newPosZ = packetMovePlayer.z;
             // Lag back the player if they attempt to move to an illegal position
-            if (Math.abs(packet.x) > World.MAX_BLOCK_X || Math.abs(packet.z) > World.MAX_BLOCK_Z || Double.isNaN(packet.x) || Double.isNaN(packet.y) || Double.isNaN(packet.z))
-            {
+            if (Math.abs(packetMovePlayer.x) > World.MAX_BLOCK_X || Math.abs(packetMovePlayer.z) > World.MAX_BLOCK_Z || Double.isNaN(packetMovePlayer.x) || Double.isNaN(packetMovePlayer.y) || Double.isNaN(packetMovePlayer.z)) {
                 //kickPlayer("Illegal position");
-                LOGGER.warn("{} tried to move to an illegal position", playerEntity.username);
-                teleport(lastPosX, lastPosY, lastPosZ);
+                LOGGER.warn("{} tried to move to an illegal position", this.playerEntity.username);
+                teleport(this.lastPosX, this.lastPosY, this.lastPosZ);
                 return;
             }
         }
         // TODO: THIS IS VERY BAD! Fix ASAP!
-        playerEntity.onUpdateEntity();
-        playerEntity.ySlideOffset = 0.0F;
-        playerEntity.absMoveTo(lastPosX, lastPosY, lastPosZ, yRot, xRot);
-        if (!hasMoved)
-        {
+        this.playerEntity.onUpdateEntity();
+        this.playerEntity.ySlideOffset = 0.0F;
+        this.playerEntity.absMoveTo(this.lastPosX, this.lastPosY, this.lastPosZ, yRot, xRot);
+        if (!this.hasMoved) {
             return;
         }
-        double dx = newPosX - playerEntity.x;
-        double dy = newPosY - playerEntity.y;
-        double dz = newPosZ - playerEntity.z;
+        double dx = newPosX - this.playerEntity.x;
+        double dy = newPosY - this.playerEntity.y;
+        double dz = newPosZ - this.playerEntity.z;
         double velSquared = dx * dx + dy * dy + dz * dz;
         // Lag back the player if they move too quickly
-        if (velSquared > 100D)
-        {
+        if (velSquared > 100D) {
             // This doesn't mean they are necessarily hacking, it's easy to do by hitting the vanilla speed limit
-            LOGGER.warn("{} moved too quickly!", playerEntity.username);
-            teleport(lastPosX, lastPosY, lastPosZ);
+            LOGGER.warn("{} moved too quickly!", this.playerEntity.username);
+            teleport(this.lastPosX, this.lastPosY, this.lastPosZ);
             //kickPlayer("You moved too quickly :( (Hacking?)");
             return;
         }
         // Time to trying and move like they did
         float bb_expand = 0.0625F;
-        boolean insideBlockOld = worldserver.getCubes(playerEntity, playerEntity.bb.copyPooled().getInsetBoundingBox(bb_expand, bb_expand, bb_expand)).isEmpty();
-        playerEntity.move(dx, dy, dz);
+        boolean insideBlockOld = worldserver.getCubes(this.playerEntity, MathHelper.aabbInsetBoundingBox(this.playerEntity.bb, bb_expand, bb_expand, bb_expand, new AABBd())).isEmpty();
+        this.playerEntity.move(dx, dy, dz);
         // Get the difference in intended move and actual move
-        dx = newPosX - playerEntity.x;
-        double ndy = Math.max(newPosY - playerEntity.y, -0.0784);
-        dz = newPosZ - playerEntity.z;
+        dx = newPosX - this.playerEntity.x;
+        double ndy = Math.max(newPosY - this.playerEntity.y, -0.0784);
+        dz = newPosZ - this.playerEntity.z;
         velSquared = dx * dx + ndy * ndy + dz * dz;
         boolean movedWrong = false;
         // TODO: Check if the player is flying instead of if they can fly, this information should be synced as in BTA flying is more than just no gravity
-        if (playerEntity.pushTime < 0.1f && !playerEntity.getGamemode().canPlayerFly() && velSquared > 0.0625D && !playerEntity.isPlayerSleeping())
-        {
+        if (this.playerEntity.pushTime < 0.1f && !this.playerEntity.getGamemode().canPlayerFly() && velSquared > 0.0625D && !this.playerEntity.isPlayerSleeping()) {
             movedWrong = true;
-            LOGGER.warn("{} moved wrongly!", playerEntity.username);
+            LOGGER.warn("{} moved wrongly!", this.playerEntity.username);
             LOGGER.warn("Got position {}, {}, {}", newPosX, newPosY, newPosZ);
-            LOGGER.warn("Expected {}, {}, {}", playerEntity.x, playerEntity.y, playerEntity.z);
+            LOGGER.warn("Expected {}, {}, {}", this.playerEntity.x, this.playerEntity.y, this.playerEntity.z);
         }
-        playerEntity.absMoveTo(newPosX, newPosY, newPosZ, yRot, xRot);
-        boolean insideBlockNew = worldserver.getCubes(playerEntity, playerEntity.bb.copyPooled().getInsetBoundingBox(bb_expand, bb_expand, bb_expand)).isEmpty();
-        if (playerEntity.pushTime < 0.1f && !playerEntity.getGamemode().canPlayerFly() && insideBlockOld && (movedWrong || !insideBlockNew) && !playerEntity.isPlayerSleeping())
-        {
+        this.playerEntity.absMoveTo(newPosX, newPosY, newPosZ, yRot, xRot);
+        boolean insideBlockNew = worldserver.getCubes(this.playerEntity, MathHelper.aabbInsetBoundingBox(this.playerEntity.bb, bb_expand, bb_expand, bb_expand, new AABBd())).isEmpty();
+        if (this.playerEntity.pushTime < 0.1f && !this.playerEntity.getGamemode().canPlayerFly() && insideBlockOld && (movedWrong || !insideBlockNew) && !this.playerEntity.isPlayerSleeping()) {
             // If the player:
             // - Is inside a block and wasn't on the last tick
             // - Moved wrongly
             // - And is not sleeping or flying
             // Bounce them back
-            teleport(lastPosX, lastPosY, lastPosZ);
+            teleport(this.lastPosX, this.lastPosY, this.lastPosZ);
             return;
         }
 
         // Falling and ground collision
-        AABB aabb = playerEntity.bb.copyPooled().grow(bb_expand, bb_expand, bb_expand).expand(0.0D, -0.55D, 0.0D);
-        if (!playerEntity.getGamemode().canPlayerFly() && !mcServer.allowFlight && !worldserver.getIsAnySolidGround(aabb))
-        {
+        AABBd aabb = MathHelper.aabbGrow(this.playerEntity.bb, bb_expand, bb_expand, bb_expand, new AABBd());
+        MathHelper.aabbExpand(aabb, 0.0D, -0.55D, 0.0D, aabb);
+        if (!this.playerEntity.getGamemode().canPlayerFly() && !this.mcServer.allowFlight && !worldserver.getIsAnySolidGround(aabb)) {
             // Don't tick fly counter if they are falling
-            if (dy > -0.03125D)
-            {
-                playerInAirTime++;
-                if (playerInAirTime > 100) {
-                    LOGGER.warn(playerEntity.username + " was kicked for floating too long!");
+            if (dy > -0.03125D) {
+                this.playerInAirTime++;
+                if (this.playerInAirTime > 100) {
+                    LOGGER.warn(this.playerEntity.username + " was kicked for floating too long!");
                     kickPlayer("Flying is not enabled on this server");
                     return;
                 }
@@ -276,113 +270,108 @@ public class PacketHandlerServer extends PacketHandler
                     teleportAndRotate(lastPosX, lastPosY, lastPosZ, yRot, xRot);
                 }*/
             }
-        }
-        else
-        {
-            playerInAirTime = 0;
+        } else {
+            this.playerInAirTime = 0;
         }
         // TODO: Should we really trust the client to tell the server if they are on the ground?
-        playerEntity.onGround = packet.onGround;
-        mcServer.playerList.onPlayerMoved(playerEntity);
-        playerEntity.handleFalling(playerEntity.y - oldPosY, packet.onGround);
-    }
-
-	public void teleport(double x, double y, double z) {
-		hasMoved = false;
-		lastPosX = x;
-		lastPosY = y;
-		lastPosZ = z;
-		playerEntity.absMoveTo(x, y, z, playerEntity.yRot, playerEntity.xRot);
-		playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.Pos(x, y, z, false));
-	}
-
-	public void teleportAndRotate(double x, double y, double z, float yaw, float pitch) {
-		hasMoved = false;
-		lastPosX = x;
-		lastPosY = y;
-		lastPosZ = z;
-		playerEntity.absMoveTo(x, y, z, yaw, pitch);
-		playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.PosRot(x, y, z, yaw, pitch, false));
-	}
+        this.playerEntity.onGround = packetMovePlayer.onGround;
+        this.mcServer.playerList.onPlayerMoved(this.playerEntity);
+        this.playerEntity.handleFalling(this.playerEntity.y - oldPosY, packetMovePlayer.onGround);
+    }
+
+    public void teleport(double x, double y, double z) {
+        this.hasMoved = false;
+        this.lastPosX = x;
+        this.lastPosY = y;
+        this.lastPosZ = z;
+        this.playerEntity.absMoveTo(x, y, z, this.playerEntity.yRot, this.playerEntity.xRot);
+        this.playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.Pos(x, y, z, false));
+    }
+
+    public void teleportAndRotate(double x, double y, double z, float yaw, float pitch) {
+        this.hasMoved = false;
+        this.lastPosX = x;
+        this.lastPosY = y;
+        this.lastPosZ = z;
+        this.playerEntity.absMoveTo(x, y, z, yaw, pitch);
+        this.playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.PosRot(x, y, z, yaw, pitch, false));
+    }
 
     @Override
-    public void handleBlockDig(PacketPlayerAction playerActionPacket) {
-        final int x = playerActionPacket.xPosition;
-        final int y = playerActionPacket.yPosition;
-        final int z = playerActionPacket.zPosition;
-
-        if (!canInteract() || playerEntity.getHeldObject() != null /*Forbid digging while holding object*/) return;
-        WorldServer world = mcServer.getDimensionWorld(playerEntity.dimension);
-        switch (playerActionPacket.action) {
+    public void handlePlayerAction(@NotNull PacketPlayerAction packetPlayerAction) {
+        final int x = packetPlayerAction.xPosition;
+        final int y = packetPlayerAction.yPosition;
+        final int z = packetPlayerAction.zPosition;
+
+        if (!canInteract() || this.playerEntity.getHeldObject() != null /*Forbid digging while holding object*/) return;
+        WorldServer world = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
+        switch (packetPlayerAction.action) {
             case PacketPlayerAction.ACTION_DROP_ITEM_SINGLE:
                 // Drop single item
-                playerEntity.dropCurrentItem(false);
+                this.playerEntity.dropCurrentItem(false);
                 return;
             case PacketPlayerAction.ACTION_DROP_ITEM_STACK:
                 // Drop full stack
-                playerEntity.dropCurrentItem(true);
+                this.playerEntity.dropCurrentItem(true);
                 return;
             case PacketPlayerAction.ACTION_PICK_BLOCK:
                 // Pick Block
-                playerEntity.pickBlock(x, y, z, false);
+                this.playerEntity.pickBlock(x, y, z, false);
                 return;
             case PacketPlayerAction.ACTION_PICK_BLOCK_FULLY:
                 // Pick Block Fully
-                playerEntity.pickBlock(x, y, z, true);
+                this.playerEntity.pickBlock(x, y, z, true);
                 return;
         }
 
         // Check player distance
-        double playerDistX = playerEntity.x - (x + 0.5);
-        double playerDistY = playerEntity.y - (y + 0.5);
-        double playerDistZ = playerEntity.z - (z + 0.5);
+        double playerDistX = this.playerEntity.x - (x + 0.5);
+        double playerDistY = this.playerEntity.y - (y + 0.5);
+        double playerDistZ = this.playerEntity.z - (z + 0.5);
         double playerDist = playerDistX * playerDistX + playerDistY * playerDistY + playerDistZ * playerDistZ;
-        if(playerDist > 44.0) {
+        if (playerDist > 44.0) {
             return;
         }
 
         // Check spawn protection
-        boolean ignoreSpawnProtection = mcServer.spawnProtectionRange <= 0 || world.dimension.id != 0 || mcServer.playerList.isOp(playerEntity.uuid);
+        boolean ignoreSpawnProtection = this.mcServer.spawnProtectionRange <= 0 || world.dimension.id != 0 || this.mcServer.playerList.isOp(this.playerEntity.uuid);
         TilePos spawnPos = world.getSpawnPoint();
         int spawnDistX = (int) MathHelper.abs(x - spawnPos.x);
         int spawnDistZ = (int) MathHelper.abs(z - spawnPos.z);
         int distanceFromSpawn = Math.max(spawnDistX, spawnDistZ);
-        if(distanceFromSpawn <= mcServer.spawnProtectionRange && !ignoreSpawnProtection) {
-            playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
+        if (distanceFromSpawn <= this.mcServer.spawnProtectionRange && !ignoreSpawnProtection) {
+            this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
             return;
         }
 
         // handles spawn protection
-        if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_START) {
+        if (packetPlayerAction.action == PacketPlayerAction.ACTION_DIG_START) {
             // Start Mining
-            playerEntity.playerController.startMining(x, y, z, playerActionPacket.side);
-        } else if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_CONTINUED) {
+            this.playerEntity.playerController.startMining(x, y, z, packetPlayerAction.side);
+        } else if (packetPlayerAction.action == PacketPlayerAction.ACTION_DIG_CONTINUED) {
             // Hit Block
-            playerEntity.playerController.hitBlock(x, y, z, playerActionPacket.side, playerActionPacket.xHit, playerActionPacket.yHit);
-        } else if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_COMPLETE) {
+            this.playerEntity.playerController.hitBlock(x, y, z, packetPlayerAction.side, packetPlayerAction.xHit, packetPlayerAction.yHit);
+        } else if (packetPlayerAction.action == PacketPlayerAction.ACTION_DIG_COMPLETE) {
             // Block Destroy
-            if(!playerEntity.playerController.destroyBlock(x, y, z, playerActionPacket.side)) {
-                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
+            if (!this.playerEntity.playerController.destroyBlock(x, y, z, packetPlayerAction.side)) {
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
             }
         }
     }
 
-    public void handleSendInitialPlayerList()
-    {
-        for (PlayerServer playerServer : mcServer.playerList.playerEntities)
-        {
+    public void handleSendInitialPlayerList() {
+        for (PlayerServer playerServer : this.mcServer.playerList.playerEntities) {
             sendPacket(new PacketUpdatePlayerProfile(playerServer.username, playerServer.nickname, playerServer.uuid, playerServer.score, playerServer.chatColor, true, playerServer.isOperator()));
         }
         PlayerListBox.updateList();
     }
 
     @Override
-    public void handlePlace(PacketUseOrPlaceItemStack packet)
-    {
+    public void handleUseOrPlaceItem(@NotNull PacketUseOrPlaceItemStack packet) {
         if (!canInteract()) return;
-        WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
-        ItemStack itemstack = playerEntity.inventory.getCurrentItem();
-        boolean ignoreSpawnProtection = mcServer.spawnProtectionRange <= 0 || worldserver.dimension.id != 0 || mcServer.playerList.isOp(playerEntity.uuid);
+        WorldServer worldserver = this.mcServer.getDimensionWorld(this.playerEntity.dimension);
+        ItemStack itemstack = this.playerEntity.inventory.getCurrentItem();
+        boolean ignoreSpawnProtection = this.mcServer.spawnProtectionRange <= 0 || worldserver.dimension.id != 0 || this.mcServer.playerList.isOp(this.playerEntity.uuid);
         switch (packet.type) {
             case PacketUseOrPlaceItemStack.TYPE_USE_OR_PLACE_ON_TILE: {
                 int x = packet.xPosition;
@@ -394,27 +383,24 @@ public class PacketHandlerServer extends PacketHandler
                 TilePos chunkcoordinates = worldserver.getSpawnPoint();
                 int i1 = (int) MathHelper.abs(x - chunkcoordinates.x);
                 int j1 = (int) MathHelper.abs(z - chunkcoordinates.z);
-                if (i1 > j1)
-                {
+                if (i1 > j1) {
                     j1 = i1;
                 }
-                if (hasMoved && playerEntity.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) < 64D && (j1 > mcServer.spawnProtectionRange || ignoreSpawnProtection))
-                {
-                    playerEntity.playerController.useOrPlaceItemStackOnTile(playerEntity, worldserver, itemstack, x, y, z, direction.getSide(), xPlaced, yPlaced);
+                if (this.hasMoved && this.playerEntity.distanceToSqr((double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D) < 64D && (j1 > this.mcServer.spawnProtectionRange || ignoreSpawnProtection)) {
+                    this.playerEntity.playerController.useOrPlaceItemStackOnTile(this.playerEntity, worldserver, itemstack, x, y, z, direction.getSide(), xPlaced, yPlaced);
                 }
-                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
                 x += direction.getOffsetX();
                 y += direction.getOffsetY();
                 z += direction.getOffsetZ();
-                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
+                this.playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
                 break;
             }
             case PacketUseOrPlaceItemStack.TYPE_USE_ON_NOTHING: {
-                if (itemstack == null)
-                {
+                if (itemstack == null) {
                     return;
                 }
-                playerEntity.playerController.useItemStackOnNothing(playerEntity, worldserver, itemstack);
+                this.playerEntity.playerController.useItemStackOnNothing(this.playerEntity, worldserver, itemstack);
                 break;
             }
             case PacketUseOrPlaceItemStack.TYPE_PLACE_ONLY: {
